body::before {
    background: rgba(0, 0, 0, 0.3);
    border-radius: 6px;
    color: #fff;
    content: "Debug";
    font-size: 8px;
    left: 5px;
    padding: 2px 4px;
    position: fixed;
    top: 5px;
    z-index: 9999;
}

/* Extra small devices (phones, less than 576px) */
@media (max-width: 575.98px) {
    body::before {
        content: "XS";
        background: rgba(0, 0, 0, 0.3);
    }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {
    body::before {
        content: "SM";
        background: rgba(0, 0, 0, 0.3);
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) {
    body::before {
        content: "MD";
        background: rgba(0, 0, 0, 0.3);
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {
    body::before {
        content: "LG";
        background: rgba(0, 0, 0, 0.3);
    }
}

/* Extra large devices */
@media (min-width: 1200px) and (max-width: 1399.98px) {
    body::before {
        content: "XL";
        background: rgba(0, 0, 0, 0.3);
    }
}


/* Extra extra large */
@media (min-width: 1400px) and (max-width: 1919.98px) {
    body::before {
        content: "XXL";
        background: rgba(0, 0, 0, 0.3);
    }
}